Start Art Provision report
The Art Provision report gives overview over each artist's sales and stock for the requested time period. Optionally filter on artist.
Artists with no sales and no stock are included.
sendEmailToSupplier = true will send email to each artist.
Required permissions: REPORTING
post/tenants/{tenantUid}/stores/{storeUid}/reports/art-supplier
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+Body
fromDatestring · dateRequired
toDatestring · dateRequired
supplierUidsstring[]Required
sendEmailToSupplierbooleanRequired
productGroupUidsstring[]Required
showDiffbooleanOptional
Responses
200
ZipFileResponse
application/zip
string · binaryOptional
204
No Content
post/tenants/{tenantUid}/stores/{storeUid}/reports/art-supplier
POST /v2/tenants/{tenantUid}/stores/{storeUid}/reports/art-supplier HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 142
{
"fromDate": "2026-01-01",
"toDate": "2026-01-01",
"supplierUids": [
"text"
],
"sendEmailToSupplier": true,
"productGroupUids": [
"text"
],
"showDiff": true
}binaryLast updated
Was this helpful?

